=== debian/changelog ===
pd-faust (0.8-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Wed, 17 Sep 2014 00:36:11 +0200

pd-faust (0.7-2) trusty; urgency=low

  * Pass the -mcpu=generic option to llc when batch-compiling Pure
    scripts, to prevent illegal instructions depending on the build host's
    cpu type.

 -- Albert Graef <aggraef@gmail.com>  Mon, 15 Sep 2014 09:52:09 +0200

pd-faust (0.7-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Sat, 13 Sep 2014 23:17:37 +0200

pd-faust (0.5-1) precise; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Thu, 19 Sep 2013 08:55:34 +0200

pd-faust (0.4-7) precise; urgency=low

  * Cosmetic changes (assume default samplerate of 44100 Hz)

 -- Albert Graef <Dr.Graef@t-online.de>  Tue, 29 Jan 2013 12:03:23 +0100

pd-faust (0.4-6) natty; urgency=low

  * Install extra Pd examples into lib/pd/extra/faust extra dir

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 28 May 2012 14:11:24 +0200

pd-faust (0.4-5) natty; urgency=low

  * Dependency fixes

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 28 May 2012 00:58:53 +0200

pd-faust (0.4-4) natty; urgency=low

  * Faust 0.9.47 or later needed for building

 -- Albert Graef <Dr.Graef@t-online.de>  Sat, 26 May 2012 22:13:57 +0200

pd-faust (0.4-3) natty; urgency=low

  * Add missing build dependency pkg-config

 -- Albert Graef <Dr.Graef@t-online.de>  Sat, 26 May 2012 03:43:28 +0200

pd-faust (0.4-2) natty; urgency=low

  * Add missing build dependency llvm
  * Remove duplicate documentation files

 -- Albert Graef <Dr.Graef@t-online.de>  Sat, 26 May 2012 00:52:25 +0200

pd-faust (0.4-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Thu, 24 May 2012 23:52:49 +0200
