=== debian/control ===
Source: pd-faust
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure, pure-dev, pd-pure, pure-faust, pure-midi, pure-stldict, pkg-config, puredata, faust (>= 0.9.47) | faust2
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pd-faust
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpure8, pd-pure, pure-faust, pure-midi, pure-stldict
Suggests: faust (>> 0.9.46) | faust2
Description: Run Faust signal processors in Pd
 This package provides a dynamic environment for running Faust dsps in Pd,
 written in Pure. The basic functionality is somewhat similar to what the
 faust2pd script provides, but Faust units can be reloaded at any time, in
 which case their Pd GUIs are regenerated dynamically, inside Pd. It also
 supports MIDI and OSC controller mapping and controller automation. The
 package thus turns Pd into an interactive development environment for Faust,
 Grame's functional signal processing language.
 .
 Note: After installing the package, you still need to enable pd-faust in Pd.
 To these ends, add /usr/lib/pd/extra/faust to your Pd search path (under
 Preferences/Path in Pd) and add 'pdfaust' to your preloaded library modules
 (Preferences/Startup).
